{
  "#Testing": {
    "description": "Cellular Potts Model with dynamic ECM"
  },
  "Application": "Cells",
  "Geometry": {
    "blocksize": [80, 80, 80],
    "blockcount": [1, 1, 1]
  },
  "Settings": {
    "timesteps": 250,
    "randomseed": 42
  },
  "Filling": {
    "cells": [
      {
        "_comment": "This is for the dynamic ECM",
        "shape": "cube",
        "box": [
          [0, 0, 0],
          [79, 79, 79]
        ],
        "value": 0,
        "celltype": 0
      },
      {
        "shape": "cube",
        "box": [
          [41, 35, 10],
          [45, 39, 15]
        ],
        "celltype": 2
      },
      {
        "shape": "cube",
        "box": [
          [40, 15, 14],
          [47, 22, 20]
        ],
        "celltype": 2
      },
      {
        "shape": "cube",
        "box": [
          [40, 20, 20],
          [47, 27, 26]
        ],
        "celltype": 3
      },
      {
        "shape": "cube",
        "box": [
          [38, 20, 60],
          [45, 27, 66]
        ],
        "celltype": 3
      }
    ]
  },
  "CellsInSilico": {
    "liquid": 1,
    "adhesion": {
      "matrix": [
        [0, 0,  0, 0],
        [0, 0,  0, 0],
        [0, 0, 10, 5],
        [0, 0,  5, 5]
      ]
    },
    "temperature": 15,
    "volume": {
      "default": {
        "storage": "const",
        "value": 2000
      },
      "lambda": {
        "storage": "const",
        "value": 10
      }
    },
    "surface": {
      "default": {
        "storage": "const",
        "value": 800
      },
      "lambda": {
        "storage": "const",
        "value": 10
      }
    },
    "cleaner": {
      "killdistance": 100
    },
    "checkerboard": "00",
    "energyfunctions": ["Volume00", "Surface00", "Adhesion00", "DynamicECM00"],
    "centerofmass": {
      "steps": 10
    },
    "dynamicecm": {
      "enabled": true,
      "stepsPerMcs": 100,
      "pushSteps": 10,
      "pushWeight": 2,
      "ecmCellID": 0,
      "deltat": 0.1,
      "eta": 0.25,
      "k0": 0.1,
      "k1": 0.1,
      "c": 4,
      "alpha": 2,
      "d": 0.3,
      "phi": 1
    }
  },
  "Writers": {
    "ParallelVTK_Cells": {
      "writer": "ParallelVtkImage",
      "outputtype": "UInt32",
      "field": "cells",
      "steps": 1
    },
    "ParallelVTK_Displacement": {
      "writer": "ParallelVtkImage",
      "outputtype": "Float32",
      "field": "dynamicecm",
      "components": [0, 1, 2],
      "steps": 1
    }
  },
  "WriteActions": ["ParallelVTK_Cells", "ParallelVTK_Displacement"]
}
